vmadmin@vmLS4:~$ history 
    1  vi /etc/network/interfaces
    2  cat /etc/network/interfaces
    3  nano /etc/network/interfaces
    4  sudo nano /etc/network/interfaces
    5  reboot
    6  history
    7  reboot
    8  sudo reboot
    9  sudo apt install vim
   10  ip a s
   11  sudo apt install git python-pip postgresql postgresql-server-dev-9.5 python-all-dev python-dev python-setuptools libxml2-dev libxslt1-dev libevent-dev libsasl2-dev libldap2-dev pkg-config libtiff5-dev libjpeg8-dev libjpeg-dev zlib1g-dev libfreetype6-dev liblcms2-dev liblcms2-utils libwebp-dev tcl8.6-dev tk8.6-dev python-tk libyaml-dev fontconfig
   12  dig google.com
   13  cat /etc/network/interfaces
   14  cat /etc/resolv.conf 
   15  sudo apt install git python-pip postgresql postgresql-server-dev-9.5 python-all-dev python-dev python-setuptools libxml2-dev libxslt1-dev libevent-dev libsasl2-dev libldap2-dev pkg-config libtiff5-dev libjpeg8-dev libjpeg-dev zlib1g-dev libfreetype6-dev liblcms2-dev liblcms2-utils libwebp-dev tcl8.6-dev tk8.6-dev python-tk libyaml-dev fontconfig
   16  sudo apt update
   17  sudo apt upgrade
   18  reboot
   19  sudo reboot
   20  sudo apt install git python-pip postgresql postgresql-server-dev-9.5 python-all-dev python-dev python-setuptools libxml2-dev libxslt1-dev libevent-dev libsasl2-dev libldap2-dev pkg-config libtiff5-dev libjpeg8-dev libjpeg-dev zlib1g-dev libfreetype6-dev liblcms2-dev liblcms2-utils libwebp-dev tcl8.6-dev tk8.6-dev python-tk libyaml-dev fontconfig
   21  sudo vi /etc/postgresql/9.5/main/postgresql.conf
   22  sudo mkdir /var/pgsql_socket
   23  sudo chown root.postgres /var/pgsql_socket
   24  sudo chmod g+wx /var/pgsql_socket
   25  service postgresql restart
   26  service postgresql stop
   27  sudo service postgresql restart
   28  sudo service postgresql status
   29  sudo su - postgres
   30  adduser --system --home=/opt/odoo --group odoo
   31  sudo adduser --system --home=/opt/odoo --group odoo
   32  sudo mkdir /var/log/odoo
   33  git
   34  sudo git clone https://www.github.com/odoo/odoo --depth 1 --branch 10.0 --single-branch /opt/odoo
   35  pip install --upgrade pip
   36  sudo pip install -r /opt/odoo/doc/requirements.txt
   37  cat /opt/odoo/doc/requirements.txt
   38  sudo pip install -r /opt/odoo/doc/requirements.txt
   39  sudo pip install -r /opt/odoo/requirements.txt
   40  sudo pip install -r /opt/odoo/doc/requirements.txt
   41  sudo curl -sL https://deb.nodesource.com/setup_4.x | sudo -E bash -
   42  sudo apt install -y nodejs
   43  sudo npm install -g less less-plugin-clean-css
   44  cd /tmp
   45  sudo wget https://downloads.wkhtmltopdf.org/0.12/0.12.1/wkhtmltox-0.12.1_linux-trusty-amd64.deb
   46  sudo dpkg -i wkhtmltox-0.12.1_linux-trusty-amd64.deb
   47  sudo cp /usr/local/bin/wkhtmltopdf /usr/bin
   48  sudo cp /usr/local/bin/wkhtmltoimage /usr/bin
   49  sudo cp /opt/odoo/debian/odoo.conf /etc/odoo-server.conf
   50  cd
   51  vi /etc/odoo-server.conf 
   52  sudo vi /etc/odoo-server.conf 
   53  cat /etc/odoo-server.conf
   54  vi /lib/systemd/system/odoo-server.service
   55  sudo vi /lib/systemd/system/odoo-server.service
   56  sudo chmod 755 /lib/systemd/system/odoo-server.service
   57  sudo chown root: /lib/systemd/system/odoo-server.service
   58  sudo chown -R odoo: /opt/odoo/
   59  sudo chown odoo:root /var/log/odoo
   60  sudo chown odoo: /etc/odoo-server.conf
   61  sudo chmod 640 /etc/odoo-server.conf
   62  sudo systemctl start odoo-server
   63  sudo systemctl status odoo-server
   64  service odoo-server status
   65  sudo systemctl start odoo-server
   66  sudo systemctl status odoo-server
   67  sudo systemctl stop odoo-server
   68  sudo systemctl start odoo-server
   69  sudo systemctl status odoo-server
   70  sudo systemctl start odoo-server
   71  sudo systemctl status odoo-server
   72  sudo pip install -r /opt/odoo/doc/requirements.txt
   73  sudo pip install -r /opt/odoo/requirements.txt
   74  sudo apt update
   75  sudo apt upgrade
   76  sudo pip install -r /opt/odoo/doc/requirements.txt
   77  sudo pip install -r /opt/odoo/requirements.txt
   78  python
   79  python -n sudo pip install -r /opt/odoo/doc/requirements.txt
   80  python -m sudo pip install -r /opt/odoo/doc/requirements.txt
   81  python -m pip install -r /opt/odoo/doc/requirements.txt
   82  sudo python -m pip install -r /opt/odoo/doc/requirements.txt
   83  python -m pip install -r /opt/odoo/requirements.txt
   84  sudo python -m pip install -r /opt/odoo/requirements.txt
   85  sudo systemctl start odoo-server
   86  sudo systemctl status odoo-server
   87  sudo journalctl -u postgresql
   88  sudo systemctl stop odoo-server
   89  sudo systemctl status odoo-server
   90  sudo systemctl enable odoo-server
   91  sudo systemctl status odoo-server
   92  sudo systemctl start odoo-server
   93  sudo systemctl status odoo-server
   94  reboot
   95  sudo reboot
   96  cat /var/log/odoo/odoo-server.log 
   97  sudo apt install isc-dhcp-server
   98  sudo apt update
   99  sudo apt upgrade
  100  sudo apt install isc-dhcp-server
  101  man nano
  102  vi /etc/dhcp/dhcpd.conf 
  103  cp /etc/dhcp/dhcpd.conf /etc/dhcp/old_dhcpd.conf
  104  sudo cp /etc/dhcp/dhcpd.conf /etc/dhcp/old_dhcpd.conf
  105  cat /dev/null > /etc/dhcp/dhcpd.conf
  106  sudo cat /dev/null > /etc/dhcp/dhcpd.conf
  107  vi /etc/dhcp/dhcpd.conf 
  108  sudo vi /etc/dhcp/dhcpd.conf 
  109  sudo service isc-dhcp-server status
  110  sudo vi /etc/dhcp/dhcpd.conf 
  111  sudo systemctl status isc-dhcp-server
  112  sudo systemctl restart isc-dhcp-server
  113  sudo systemctl status isc-dhcp-server
  114  cd /etc/dhcp/
  115  ll
  116  sudo systemctl status isc-dhcp-server
  117  vi dhcpd.conf 
  118  sudo vi dhcpd.conf 
  119  sudo systemctl restart isc-dhcp-server
  120  sudo systemctl status isc-dhcp-server
  121  sudo vi dhcpd.conf 
  122  sudo systemctl restart isc-dhcp-server
  123  sudo systemctl status isc-dhcp-server
  124  sudo vi dhcpd.conf 
  125  sudo systemctl restart isc-dhcp-server
  126  sudo systemctl status isc-dhcp-server
  127  sudo vi dhcpd.conf 
  128  sudo systemctl status isc-dhcp-server
  129  cat /etc/dhcp/rndc.key 
  130  cat /etc/dhcp/old_dhcpd.conf 
  131  history
  132  sudo cat /etc/dhcp/dhcpd.conf 
  133  scp root@vmls3.gibbix.dmz:/etc/bind/rndc.key /etc/dhcp
  134  ip a s
  135  scp root@192.168.220.12:/etc/bind/rndc.key /etc/dhcp
  136  sudo scp root@192.168.220.12:/etc/bind/rndc.key /etc/dhcp
  137  cd /etc/dhcp/
  138  ll
  139  sudo chmod 666 rndc.key
  140  sudo vi dhcpd.conf 
  141  sudo cp dhcpd.conf old_dhcpd.conf
  142  sudo vi dhcpd.conf 
  143  sudo systemctl status isc-dhcp-server
  144  sudo systemctl restart isc-dhcp-server
  145  sudo systemctl status isc-dhcp-server
  146  tail -15 /var/log/syslog
  147  sudo vi dhcpd.conf 
  148  cd /etc/dhcp/
  149  sudo vi dhcpd.conf 
  150  sudo systemctl status isc-dhcp-server
  151  sudo systemctl restart isc-dhcp-server
  152  sudo systemctl status isc-dhcp-server
  153  sudo systemctl status isc-dhcp-server
  154  sudo cat /var/lib/dhcp/dhcpd.leases
  155  cd /home/vmadmin/testshare/
  156  touch test
  157  sudo touch test
  158  ll
  159  sudo apt install samba
  160  sudo apt update
  161  sudo apt install samba
  162  sudo apt install samba-common
  163  sudo apt install smbclient
  164  sudo apt install smbfs
  165  mv /etc/samba/smb.conf /etc/samba/smb.conf.old
  166  sudo mv /etc/samba/smb.conf /etc/samba/smb.conf.old
  167  cat .bashrc 
  168  cd /etc/samba/
  169  ll
  170  sudo vi smb.conf
  171  sudo su
  172  sudo echo -e "gibbiX12345\ngibbiX12345" | smbpasswd -avmadmin
  173  sudo su
  174  sudo systemctl status smbd
  175  sudo systemctl restart smbd
  176  cat smb.conf
  177  ll /home/vmadmin/testshare
  178  ll /home/vmadmin/
  179  sudo mkdir /home/vmadmin/testshare/
  180  ll /home/vmadmin/
  181  testparm
  182  sudo systemctl status 
  183  sudo systemctl restart nmdb
  184  smbclient //smbsrv1/testshare
  185  cat smb.conf
  186  sudo vi smb.conf
  187  sudo systemctl restart smbd
  188  restart nmbd
  189  sudo systemctl restart nmbd
  190  smbclient //smbsrv1/testshare
  191  sudo vi smb.conf
  192  groupadd tuxies
  193  sudo groupadd tuxies
  194  sudo groupadd tuxladies
  195  sudo groupadd tuxmens
  196  sudo groupadd violenttux
  197  sudo useradd -m -p sml12345 -g tuxies -G tuxladies,violenttux laratux
  198  sudo useradd -m -p sml12345 -g tuxies -G tuxladies cutetux
  199  sudo useradd -m -p sml12345 -g tuxies -G tuxmens,violenttux mrtux
  200  sudo useradd -m -p sml12345 -g tuxies -G tuxmens,violenttux rambotux
  201  sudo useradd -m -p sml12345 -g tuxies -G tuxmens,violenttux luketux
  202  sudo useradd -m -p sml12345 -g tuxies -G tuxmens slashtux
  203  sudo useradd -m -p sml12345 -g tuxies -G tuxladies divatux
  204  sudo echo -ne "gibbiX12345\ngibbiX12345\n" | smbpasswd -a -s laratux
  205  sudo su
  206  mkdir /var/smbshr
  207  sudo mkdir /var/smbshr
  208  cd /var/smbshr
  209  mkdir tuxplanet ladiesplace mensplace scratch music
  210  sudo mkdir tuxplanet ladiesplace mensplace scratch music
  211  ll
  212  sudo chgrp tuxies tuxplanet
  213  sudo chgrp tuxladies ladiesplace
  214  sudo chgrp tuxmens mensplace
  215  sudo chgrp violenttux scratch
  216  sudo chgrp tuxies music
  217  sudo chmod 2770 tuxplanet ladiesplace mensplace scratch
  218  sudo chmod 2755 music
  219  ll
  220  smbclient //smbsrv1/tuxplanet
  221  smbclient -U laratux@://smbsrv1/tuxplanet
  222  smbclient -U laratux @ //smbsrv1/tuxplanet
  223  sudo vi /etc/samba/smb.conf
  224  sudo systemctl status smdb
  225  sudo systemctl status smbd
  226  sudo systemctl restart smbd
  227  sudo systemctl restart nmdb
  228  sudo systemctl restart nmbd
  229  smbclient //smbsrv1/tuxplanet
  230  smbclient -U laratux //smbsrv1/tuxplanet
  231  cd tuxplanet/
  232  sudo cd tuxplanet/
  233  ll
  234  cd tuxplanet/
  235  sudo cd tuxplanet/
  236  smbclient -U laratux //smbsrv1/tuxplanet
  237  smbclient -U laratux //smbsrv1/mensplace
  238  su laratux
  239  su - laratux
  240  history